org.apache.poi.hwpf.model

## Class FFData

- java.lang.Object
- - org.apache.poi.hwpf.model.FFData

-     @Internal
      public class FFData
      extends java.lang.Object

  The FFData structure specifies form field data for a text box, check box, or drop-down list box.

  Class and fields descriptions are quoted from [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov; according to [MS-DOC] -- v20121003 Word (.doc) Binary File Format; Copyright (c) 2012 Microsoft Corporation; Release: October 8, 2012

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FFData(byte[] std, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fillFields(byte[] std, int startOffset)`
    `int` | `getDefaultDropDownItemIndex()` specify the default item selected (zero-based index).
    `java.lang.String[]` | `getDropList()`
    `int` | `getSize()`
    `java.lang.String` | `getTextDef()`
    `byte[]` | `serialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FFData

          public FFData(byte[] std,
                        int offset)

  - ### Method Detail

    - #### fillFields

          public void fillFields(byte[] std,
                                 int startOffset)

    - #### getDefaultDropDownItemIndex

          public int getDefaultDropDownItemIndex()

      specify the default item selected (zero-based index).

    - #### getDropList

          public java.lang.String[] getDropList()

    - #### getSize

          public int getSize()

    - #### getTextDef

          public java.lang.String getTextDef()

    - #### serialize

          public byte[] serialize()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.